%bcond_with check

%global packname testthat
%global packver 3.1.2

Name:             R-%{packname}
Version:          %{packver}
Release:          1
Source0:          ftp://cran.r-project.org/pub/R/contrib/main/%{packname}_%{packver}.tar.gz
License:          MIT
URL:              https://cran.r-project.org/package=testthat
Summary:          Unit Testing for R
BuildRequires:    R-devel >= 3.4.0, tetex-latex
BuildRequires:    R-brio
BuildRequires:    R-callr >= 3.5.1
BuildRequires:    R-cli >= 2.2.0
BuildRequires:    R-crayon >= 1.3.4
BuildRequires:    R-desc
BuildRequires:    R-digest
BuildRequires:    R-ellipsis >= 0.2.0
BuildRequires:    R-evaluate
BuildRequires:    R-jsonlite
BuildRequires:    R-lifecycle
BuildRequires:    R-magrittr
BuildRequires:    R-methods
BuildRequires:    R-pkgload
BuildRequires:    R-praise
BuildRequires:    R-processx
BuildRequires:    R-ps >= 1.3.4
BuildRequires:    R-R6 >= 2.2.0
BuildRequires:    R-rlang >= 0.4.9
BuildRequires:    R-utils
BuildRequires:    R-waldo >= 0.2.4
BuildRequires:    R-withr >= 2.4.3
%if %{with check}
BuildRequires:    R-covr
BuildRequires:    R-curl >= 0.9.5
BuildRequires:    R-diffviewer >= 0.1.0
BuildRequires:    R-knitr
BuildRequires:    R-mockery
BuildRequires:    R-rmarkdown
BuildRequires:    R-rstudioapi
BuildRequires:    R-shiny
BuildRequires:    R-usethis
BuildRequires:    R-vctrs >= 0.1.0
BuildRequires:    R-xml2
%endif

%description
A unit testing system designed to be fun, flexible, and easy to set up.

%prep
%setup -q -c -n %{packname}
sed -i 's/covr, //g' %{packname}/DESCRIPTION

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_libdir}/R/library %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_libdir}/R/library/R.css

%check
%if %{with check}
export _R_CHECK_FORCE_SUGGESTS_=0 LANG=C.UTF-8
%{_bindir}/R CMD check --ignore-vignettes %{packname}
%endif

%files
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/CITATION
%doc %{_libdir}/R/library/%{packname}/LICENSE
%doc %{_libdir}/R/library/%{packname}/NEWS.md
%{_libdir}/R/library/%{packname}/DESCRIPTION
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/examples/
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/libs/
%{_libdir}/R/library/%{packname}/resources/
%{_libdir}/R/library/%{packname}/include/

%changelog
* Tue Jun 14 2022 misaka00251 <misaka00251@misakanet.cn> - 3.1.2-1
- Init package (Thanks to fedora team)
